{
  inputs,
  host,
  ...
}:
let
  vars = import ../../hosts/${host}/variables.nix;
in
{
  imports = [
    ./boot.nix
    ./flatpak.nix
    ./fonts.nix
    ./hardware.nix
    ./network.nix
    ./nfs.nix
    ./nh.nix
    ./packages.nix
    ./printing.nix
    (if vars.displayManager == "tui" then ./greetd.nix else ./sddm.nix)
    ./security.nix
    ./services.nix
    ./stylix.nix
    ./syncthing.nix
    ./system.nix
    ./thunar.nix
    ./user.nix
    ./virtualisation.nix
    ./wayland.nix
    ./xserver.nix
    (if vars.desktopEnvironment == "niri" then ./swaylock.nix else null)
    inputs.stylix.nixosModules.stylix
  ];
}
